Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class AbstractKeyList.OsisIDVisitor

    java.lang.Object
      org.crosswire.jsword.passage.DefaultKeyVisitor
          org.crosswire.jsword.passage.AbstractKeyList.NameVisitor
              org.crosswire.jsword.passage.AbstractKeyList.OsisIDVisitor

All Implemented Interfaces:
  KeyVisitor

Enclosing class:
  AbstractKeyList

    static class AbstractKeyList.OsisIDVisitor

extends AbstractKeyList.NameVisitor

The `OsisRefVisitor` constructs a readable representation of the Passage, using OSIS names.

Field Summary

Fields inherited from class org.crosswire.jsword.passage.AbstractKeyList.NameVisitor
`buffer`

Constructor Summary
`AbstractKeyList.OsisIDVisitor()`

Method Summary
`String` | `toString()`
`void` | `visitLeaf(Key key)` We've found a leaf node in a Key tree, and are giving the visitor a chance to do processing based on it.

Methods inherited from class org.crosswire.jsword.passage.DefaultKeyVisitor
`visitBranch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractKeyList.OsisIDVisitor

    AbstractKeyList.OsisIDVisitor()

Method Detail

### visitLeaf

    public void visitLeaf(Key key)

  Description copied from interface: `KeyVisitor`
  We've found a leaf node in a Key tree, and are giving the visitor a chance to do processing based on it.

  Specified by:
    `visitLeaf` in interface `KeyVisitor`
  Overrides:
    `visitLeaf` in class `AbstractKeyList.NameVisitor`
  Parameters:
    `key` - The found leaf node.

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractKeyList.NameVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD